# Stuff to be implemented externally :
Source10: kmodtool_nocommon
%define   kmodtool sh %{SOURCE10}
# End stuff to be ...

# hardcode for now:
%{!?kversion: %define kversion 2.6.26-9}

%define kmod_name nvidia-legacy96xx
%define kverrel %(%{kmodtool} verrel %{?kversion} 2>/dev/null)
%define kvariants PAE ""

%define upvar ""
%{!?kvariants: %define kvariants %{?upvar}}


Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	Nvidia legacy display driver kernel-module
Name: 		%{kmod_name}-kmod
Version: 	1.0.964307
Release: 	6.%(echo %{kverrel} | tr - _)
Group: 		System/Configuration/Hardware
License: 	Distributable
URL:        	http://www.nvidia.com/

Source0:	nvidia-glx-legacy96xx-kmod-data-%{version}.tar.bz2	
# Helper script to create SOURCE0 tarball from binary installer
Source1:        prep_nvidia-legacy96xx.sh
ExclusiveArch:  i686
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes:	kernel-module-nvidia
Conflicts:	kmod-nvidia

%description
This package provides Nvidia hardware accelerated OpenGL support
for legacy Nvidia GPU's.


# magic hidden here:
%{expand:%(%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null)}

%prep
# To understand the magic better or to debug it, uncomment this :
#%{kmodtool} rpmtemplate %{kmod_name} %{kverrel} %{kvariants} 2>/dev/null
#sleep 5
%setup -q -c -T -a 0
sed -i 's!#include <linux/config.h>!!' nvidiapkg-*/usr/src/nv/nv-linux.h
# add patches here ...
%ifarch %{ix86}
pushd nvidiapkg-x86
popd
%else
pushd nvidiapkg-x64
popd
%endif

for kvariant in %{kvariants} ; do
%ifarch %{ix86}
    cp -a nvidiapkg-x86 _kmod_build_$kvariant
%else
    cp -a nvidiapkg-x64 _kmod_build_$kvariant
%endif
done


%build
for kvariant in %{kvariants}
do
    ksrc=%{_usrsrc}/kernels/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}
    pushd _kmod_build_$kvariant/usr/src/nv/
    ln -s -f Makefile.kbuild Makefile
    make SYSSRC="${ksrc}" module
    popd
done


%install
rm -rf $RPM_BUILD_ROOT
for kvariant in %{kvariants}
do
    install -D -m 0644 _kmod_build_$kvariant/usr/src/nv/nvidia.ko $RPM_BUILD_ROOT/lib/modules/%{kverrel}.%{_target_cpu}${kvariant:+.$kvariant}/extra/%{kmod_name}/nvidia.ko
done
chmod u+x $RPM_BUILD_ROOT/lib/modules/*/extra/%{kmod_name}/*

%clean
%{__rm} -rf %{buildroot}


%changelog
* Sun Aug 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964307-6
- kernel 2.6.26-9
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964307-5
- fixed kernel dependency 
* Fri Jul 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964307-4
- kernel 2.6.26-5
* Sun Jul 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964307-3
- kernel 2.6.26-3
* Sat Jul 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964307-2
- kernel 2.6.26-2
* Fri Jul 18 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964307-1
- version update
- kernel 2.6.26-1
* Mon Jul 14 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964305-12
- kernel 2.6.26-1
* Fri Jul 04 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964305-11
- kernel 2.6.25-15
* Mon Jun 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964305-10
- kernel 2.6.25-14
* Wed Jun 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964305-9
- kernel 2.6.25-12
* Sun Jun 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964305-8
- kernel 2.6.25-11
* Sun Jun 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964305-7
- kernel 2.6.25-8
* Fri May 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964305-6
- kernel 2.6.25-7
* Sat May 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964305-5
- kernel 2.6.25-6
* Fri May 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964305-4
- kernel 2.6.25-4
* Thu Apr 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964305-3
- kernel 2.6.25-3
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964305-2
- kernel 2.6.24-10
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964305-1
- Version update
- kernel 2.6.24-9
* Sun Dec 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964301-7
- kernel 2.6.24-5
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964301-6
- kernel 2.6.24-3
* Sat Nov 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964301-5
- kernel 2.6.24-1
* Sat Nov 04 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964301-4
- kernel 2.6.23-7
* Sat Oct 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964301-3
- kernel 2.6.23-5
* Thu Oct 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964301-2
- kernel 2.6.23-1
* Sun Sep 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.964301-1
- version update
* Thu Jun 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9639-2
- kernel 2.6.21.5
* Thu Jun 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9639-1
- version update
* Mon Jun 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9631-11
- kernel 2.6.21-4
* Fri Jun 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9631-10
- kernel 2.6.21-3
* Fri May 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9631-9
- kernel 2.6.21-2
* Sun Apr 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9631-8
- kernel 2.6.21-1
* Sun Apr 08 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9631-7
- kernel 2.6.20-7
* Thu Mar 15 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9631-6
- Kernel 2.6.20-5
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9631-5
- Kernel 2.6.20-4
* Thu Feb 22 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9631-4
- Kernel 2.6.20-3
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9631-3
- Kernel 2.6.20-2
* Tue Feb 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9631-2
- Kernel 2.6.20-1
* Fri Jan 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.9631-1
- Initial Release
- Kernel 2.6.19-6
