#!/bin/sh
# prepare NVIDIA driver kernel module sourcetarball

VERMAJ="96"
VERMIN="43"
VERMIC="07"

# we don't want any old residues
echo -e "\\033[1;32mCreating tempdir ... \\033[0;39m "
rm -rf nvidia_temp
mkdir nvidia_temp

# decompress files from binary installer
echo -e "\\033[1;32mExtracting driver files ... \\033[0;39m "
chmod a+x ../SOURCES/NVIDIA-Linux-x86-$VERMAJ.$VERMIN${VERMIC:+.${VERMIC}}-pkg1.run
chmod a+x ../SOURCES/NVIDIA-Linux-x86_64-$VERMAJ.$VERMIN${VERMIC:+.${VERMIC}}-pkg2.run
../SOURCES/NVIDIA-Linux-x86-$VERMAJ.$VERMIN${VERMIC:+.${VERMIC}}-pkg1.run -x --target nvidia_temp/nvidiapkg-x86
../SOURCES/NVIDIA-Linux-x86_64-$VERMAJ.$VERMIN${VERMIC:+.${VERMIC}}-pkg2.run -x --target nvidia_temp/nvidiapkg-x64

# delete files not needed for kernel module
echo -e "\\033[1;32mRemoving unwanted files ... \\033[0;39m "
rm -rf  nvidia_temp/nvidiapkg-x86/{nvidia-installer,pkg-history.txt} \
	nvidia_temp/nvidiapkg-x64/{nvidia-installer,pkg-history.txt} \
	nvidia_temp/nvidiapkg-x86/usr/{bin,include,lib,share,X11R6} \
	nvidia_temp/nvidiapkg-x64/usr/{bin,include,lib,lib32,share,X11R6}

# create tarball
echo -e "\\033[1;32mCreating tarball ... \\033[0;39m "
pushd nvidia_temp
tar cjf  ../../SOURCES/nvidia-glx-legacy96xx-kmod-data-1.0.$VERMAJ$VERMIN${VERMIC:+${VERMIC}}.tar.bz2 *
popd 

# cleanup 
echo -e "\\033[1;32mCleaning up ... \\033[0;39m "
rm -rf nvidia_temp
